/* basic
  
  Basic test of gnustep-base

  Written: Adam Fedor <fedor@gnu.org>
  Date: Jul 2002
*/
#include <Foundation/Foundation.h>
int
main(int argc, char** argv, char **env)
{
  NSAutoreleasePool     *pool;
  NSProcessInfo         *proc;

#ifdef GS_PASS_ARGUMENTS
  [NSProcessInfo initializeWithArguments: argv count: argc environment: env];
#endif
  pool = [NSAutoreleasePool new];
  proc = [NSProcessInfo processInfo];
  if (proc == nil)
    {
      NSLog(@"defaults: unable to get process information!\n");
      [pool release];
      exit(0);
    }
  [pool release];
  return 0;
}
